<?php

namespace App\Http\Requests\API\NamingRule;

use Illuminate\Foundation\Http\FormRequest;

class AutonameRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array
    {
        return [
            "code_type" => "required|in:project,container_project,container_asset",
            "code_id" => "required|numeric",
            "fields" => "required|array",
        ];
    }
}
