<?php
/**
 * Created by IntelliJ IDEA.
 * User: kelyliang
 * Date: 2024/2/26
 * Time: 下午 04:21
 */

namespace App\Http\Requests\API\Requirement;


use App\Http\Requests\RuleHelper;
use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Validation\Rules\Enum;
use App\Models\Enums\RequirementReasonStatus;

class ClosedRequest extends FormRequest
{
    use RuleHelper;

    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }

    public function rules(): array
    {
        return [
            'close_reason' =>  ['required',new Enum(RequirementReasonStatus::class)]
        ];
    }
}
