<?php
/**
 * Created by IntelliJ IDEA.
 * User: kelyliang
 * Date: 2024/4/8
 * Time: 上午 11:09
 */

namespace App\Http\Requests\API\Task;


use App\Http\Requests\RuleHelper;
use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Validation\Rule;

class AssignRequest extends FormRequest
{
    use RuleHelper;


    public function authorize(): bool
    {
        return true;
    }

    public function rules(): array
    {
        return $rules =  [
            'assign' => [
                Rule::exists('users', 'id')->where($this->userCompanyWhere()),
            ],
        ];

    }
}
