<?php

namespace App\Http\Resources\API;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class TeamMemberResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
    public function toArray(Request $request): array
    {
        return [
            'id' => $this->id,
            'user' => new UserProfileResource($this->user),
            'user_id' => $this->user_id,
            'role' => $this->role,
            'limited' => $this->limited,
            'join_at' => (string)$this->join_at,
        ];
    }
}
