<?php

namespace App\ModelFilters;

use EloquentFilter\ModelFilter;

class LibraryFilter extends ModelFilter
{
    /**
    * Related Models that have ModelFilters as well as the method on the ModelFilter
    * As [relationMethod => [input_key1, input_key2]].
    *
    * @var array
    */
    public $relations = [];

    public function type($type)
    {
        return $this->where("type", $type);
    }

    public function project($id)
    {
        return $this->where("project_id", $id);
    }

    public function asset($id)
    {
        return $this->where("asset_id", $id);
    }
}
