<?php

namespace App\ModelFilters;

use App\Models\Asset;
use App\Models\ProjectAsset;
use EloquentFilter\ModelFilter;

class ProjectFilter extends ModelFilter
{
    /**
    * Related Models that have ModelFilters as well as the method on the ModelFilter
    * As [relationMethod => [input_key1, input_key2]].
    *
    * @var array
    */
    public $relations = [];
    public function apply($query)
    {
        return $query;
    }
    public function asset($assetId){

        return $this->whereHas('assets',function ($query) use($assetId){
            $query->where("path", "like", "%,". $assetId . ",%");
        });
    }

    public function status($status){
        return $this->where('status',$status);
    }
}
