<?php

namespace App\Models\Enums;

enum BimFileConvertStatus: int
{
    case NotAdded = 0;

    case FAILED_TO_ADD_QUEUE = 1;

    case IN_QUEUE = 2;

    case CONVERTING = 3;

    case PAUSE = 4;

    case DONE = 5;

    public static function unfinishedStatus(): array
    {
        return [
            self::IN_QUEUE->value,
            self::CONVERTING->value,
            self::PAUSE->value,
        ];
    }
}
