<?php

namespace App\Models\Enums;

use App\Models\Container;

enum FolderObjectType: string
{
    case CONTAINER = "container";

    public function modelBuilder(): \Illuminate\Database\Eloquent\Builder
    {
        return match ($this) {
            self::CONTAINER => Container::query(),
        };
    }

    public function modelBuilderAllowed(string $id = null): \Illuminate\Database\Eloquent\Builder
    {
        return match ($this) {
            self::CONTAINER => Container::query()->allowed($id),
        };
    }
}
