<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('naming_rules', function (Blueprint $table) {
            $table->json("combination_rules");
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('naming_rules', function (Blueprint $table) {
            $table->dropColumn(['combination_rules']);
        });
    }
};
