<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('actions', function (Blueprint $table) {
            $table->id();
            $table->integer("object_id")->index();
            $table->string("object_type", 50);
            $table->integer("project_id")->nullable()->index();
            $table->string("action", 50);
            $table->text("comment")->nullable();
            $table->integer("created_by")->nullable();
            $table->json("extra_fields")->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('actions');
    }
};
