<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('tasks', function (Blueprint $table) {
            //
            $table->dropColumn(['asset_group_id']);
            $table->string('asset_id')->nullable();
            $table->string('requirement_group_id')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('tasks', function (Blueprint $table) {
            //
            $table->string('asset_group_id')->nullable();
            $table->dropColumn(['asset_id','requirement_group_id']);
        });
    }
};
