<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('container_contents', function (Blueprint $table) {
            $table->id();
            $table->string("name", 150);
            $table->integer("container_id");
            $table->string("files")->nullable();
            $table->text("description")->nullable();
            $table->integer("created_by")->nullable();
            $table->integer("version")->default(1);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('container_contents');
    }
};
