<?php

namespace App\Http\Requests\API\NamingRule;

use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Validation\Rule;

class CombinationSettingRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array
    {
        return [
            "*.field" => [
                "required",
                Rule::exists("custom_fields", "key")->where("group", $this->route("naming_rule"))
            ],
            "*.link" => "required"
        ];
    }
}
