<?php
/**
 * Created by IntelliJ IDEA.
 * User: kelyliang
 * Date: 2024/3/11
 * Time: 下午 05:03
 */

namespace App\Http\Resources\API;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;


class AssetParentResource extends JsonResource
{
    public function toArray(Request $request): array
    {
        //return parent::toArray($request);
        return[
            'id'=>$this->id,
            'name'=>$this->name,
            'path' => $this->path,
            'parent_asset'=>$this->when($this->parent !== null, function () {
                return[
                    new AssetParentResource($this->parent)
                ];
            }),
        ];
    }
}
