<?php

namespace App\Http\Resources\API;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class FolderDetailResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
    public function toArray(Request $request): array
    {
        return [
            'object_type' => $this->object_type,
            'object_id' => $this->object_id,
            'name' => $this->name,
            'parent_id' => $this->parent_id,
            'sequence' => $this->sequence,
        ];
    }
}
