<?php

namespace App\Http\Resources\API;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class ProjectGroupViewTaskResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
    public function toArray(Request $request): array
    {
        return [
            "id" => $this->id,
            "name" => $this->name,
            "task_type" => $this->task_type,
            "status" => $this->status,
            "assign" => new UserProfileResource($this->assignTo),
            "end" => $this->end,
            "finished_by" =>  new UserProfileResource($this->finishedBy),
        ];
    }
}
