<?php
/**
 * Created by IntelliJ IDEA.
 * User: kelyliang
 * Date: 2024/4/17
 * Time: 下午 04:35
 */

namespace App\Http\Resources\API;


use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class UserSimpleResource  extends JsonResource
{
    public function toArray(Request $request): array
    {
        return [
            'id' => $this->id,
            'name' => $this->name,
            'email' => $this->email,
            'username' => $this->username,
            'phone' => $this->phone,
            'gender' => $this->gender,
            'created_at' => (string)$this->created_at,
            'created_by' => new UserProfileResource($this->createdBy),
            'company' => $this->company_id,
            'department' =>$this->department_id,
            'role' => $this->role_id,
            'role_name' => $this->role->name,
            'status' =>$this->status,
        ];
    }
}
