<?php

namespace App\Models;

use EloquentFilter\Filterable;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class CustomField extends Model
{
    use HasFactory, Filterable;

    public $timestamps = false;

    protected $fillable = [
        'group', 'key', 'options', 'type', 'required', 'label','remark','inputs'
    ];

    protected $casts = [
        'label' => 'array',
        'options' => 'array',
        'inputs'=>'array',
    ];
}
