<?php
/**
 * Created by IntelliJ IDEA.
 * User: kelyliang
 * Date: 2024/4/15
 * Time: 下午 05:18
 */

namespace App\Repositories\Enums;


enum BrowserConfigFiledEnum:string
{
    case OPEN_BROWSER_NOTIFICATION = "browser_notification"; //站内信通知

    public static function checkRules(): array
    {
        return [
            "browser_notification" => "in:on,off",
            //轮询时间
            "polling_time" => "nullable|numeric",
        ];
    }
}
