<?php

namespace App\Services\History\Converter;

class ModelEnumConverter extends NotEagerLoadingConverter implements ConverterContact
{
    public function __construct(protected string $langFieldPath)
    {}

    public function handle(mixed $value)
    {
        $labelKey = sprintf("model-enums.%s.%s", $this->langFieldPath, $value);

        return app('translator')->has($labelKey) ? __($labelKey) : $value;
    }
}
