<?php

namespace App\Services\History\Detector;

use App\Services\History\Converter\ConverterContact;

abstract class DetectorAbstract implements DetectorContact
{
    public static function diffFields(): array
    {
        return [];
    }

    public static function converter(string $field): ?ConverterContact
    {
        $converters = static::converters();

        return $converters[$field] ?? null;
    }

    public static function converters(): array
    {
        return [];
    }

    public static function arrayFields(): array
    {
        return [];
    }
}
