<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('bim_files', function (Blueprint $table) {
            $table->id();
            $table->integer("file_id")->index();
            $table->string("bim_driver")->nullable();
            $table->string("bim_data_set_id", 40)->nullable();
            $table->string("bim_file_id", 40)->nullable();
            $table->tinyInteger("convert_status")->default(0);
            $table->string("error")->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('bim_files');
    }
};
