<?php
use \App\Models\Enums\ObjectAction;
use \App\Models\Enums\ActionObjectType;

return[
    'object_type'=>[
        ActionObjectType::REQUIREMENT->value => "Requirement",
        ActionObjectType::PROJECT->value => "Project",
        ActionObjectType::PLAN->value => "Plan",
        ActionObjectType::TASK->value =>"Task",
        ActionObjectType::ASSET->value =>"Asset",
    ],
    'label'=>[
        ObjectAction::DONE->value =>"done",
        ObjectAction::CREATED->value => "created",
        ObjectAction::OPENED->value => "opened",
        ObjectAction::CHANGED->value => "changed",
        ObjectAction::EDITED->value => "edited",
        ObjectAction::ASSIGNED->value => "assigned",
        ObjectAction::CLOSED->value => "closed",
        ObjectAction::DELETED->value => "deleted",
        ObjectAction::DELETED_FILE->value => "deleted",
        ObjectAction::EDITED_FILE->value => "edited",
        ObjectAction::UNDELETED->value => "restored",
        ObjectAction::HIDDEN->value => "restored",
        ObjectAction::COMMENTED->value => "commented",
        ObjectAction::ACTIVATED->value => "activated",
        ObjectAction::BLOCKED->value => "blocked",
        ObjectAction::REVIEWED->value => "reviewed",
        ObjectAction::MOVED->value => "moved",
        ObjectAction::LINKED_TO_PLAN->value => "linked to Plan",
        ObjectAction::LINKED_TO_PLAN->value => "unlinked from",
        ObjectAction::STARTED->value => "started",
        ObjectAction::RESTARTED->value => "restarted",
        ObjectAction::CHANGED_STATUS->value => "change status",
        ObjectAction::CANCELED->value => "canceled",
        ObjectAction::PAUSED->value => "paused",
        ObjectAction::VERIFIED->value => "verified",
        ObjectAction::DELAY->value => "delayed",
        ObjectAction::SUSPENDED->value => "suspended",
        ObjectAction::LINK_CHILDREN_TASK->value => "linked a child task",
        ObjectAction::UNLINK_CHILDREN_TASK->value => "unlinked a child task",
        ObjectAction::BATCH_CREATE_TASK->value => "batch created tasks",
        ObjectAction::DELETE_CHILDREN_TASK->value => "delete children task",
    ]
];
